[pacman] nvidia-driver en dépendance (résolu)

Mise à jour / Création /debug de paquetages
Uraeus
Daikyu
Messages : 56
Inscription : dim. 17 sept. 2006, 14:50

[pacman] nvidia-driver en dépendance (résolu)

Message par Uraeus »

Une question (bête?) que je me pose. Pourquoi nvidia-driver figure-t'il en dépendance de certains paquetages? Par exemple, si je lance un [tt]#pacman -S kdebase[/tt], je me retrouve avec nvidia-driver au milieu des dépendances à installer. Hors il me semble qu'il existe des configurations sans cartes nvidia, non (la mienne, par exemple...)?
Comment font les gens équipés d'ATI ou comme moi de chipsets intégrés?
Si c'est parce que certains paquetages ont besoin d'une gestion avancée de la 3D, pourquoi ne pas préciser en fin d'install que ça ne marchera qu'avec les pilotes 3D?
Dernière modification par Uraeus le mer. 13 déc. 2006, 19:00, modifié 1 fois.
Il a 10 types de personnes dans le monde. Celles qui comprennent l'arithmétique binaire et les autres.
Avatar de l’utilisateur
wain
Maître du Kyudo
Messages : 1854
Inscription : ven. 11 août 2006, 19:15
Localisation : Nancy (54)
Contact :

Message par wain »

Ca serait bien de retrouver le paquet qui demande cette dépendance. "nvidia-driver" en plus est un paquetage que j'ai créé et je ne pense pas l'avoir inclu en tant que dépendance d'autres paquetages :roll:

Pour moi c'est une erreur. Si un paquetage a besoin des librairies libgl, alors il sera fourni soit par nvidia, soit par libgl-dri etc... mais on ne doit pas mettre comme dépendance tel ou tel driver (surtout propriétaire).
Uraeus
Daikyu
Messages : 56
Inscription : dim. 17 sept. 2006, 14:50

Message par Uraeus »

Comprends pas...
[root@portable uraeus]# pacman -Qi nvidia-driver
Name : nvidia-driver
Version : 1.0.9631-1
Groups : None
Packager : Archlinux.fr (http://www.archlinux.fr)
URL : http://www.nvidia.com
License : None
Architecture : i686
Size : 20834065
Build Date : Tue Dec 5 18:16:24 2006 UTC
Install Date : Tue Dec 12 22:31:39 2006 UTC
Install Script : Yes
Reason: : installed as a dependency for another package
Provides : libgl nvidia nvidia nvidia-utils
Depends On : bash binutils gcc glibc gtk2 make
Required By : mesa
Conflicts With : libgl-dri nvidia nvidia-beyond nvidia-driver
Description : Driver for custom kernel

[root@portable uraeus]# pacman -Qi mesa
Name : mesa
Version : 6.5.1-2
Groups : None
Packager : Arch Linux (http://www.archlinux.org)
URL : http://mesa3d.sourceforge.net
License : None
Architecture : i686
Size : 1713630
Build Date : Sun Oct 8 17:58:26 2006 UTC
Install Date : Tue Dec 12 22:31:41 2006 UTC
Install Script : No
Reason: : explicitly installed
Provides : None
Depends On : gcc glproto libgl libxt
Required By : None
Conflicts With : mesa-apps
Description : Mesa OpenGL library
Donc c'est mesa qui me fait installer nvidia-driver, mais pour autant mesa ne parait pas l'exiger.
Il a 10 types de personnes dans le monde. Celles qui comprennent l'arithmétique binaire et les autres.
Avatar de l’utilisateur
wain
Maître du Kyudo
Messages : 1854
Inscription : ven. 11 août 2006, 19:15
Localisation : Nancy (54)
Contact :

Message par wain »

en fait, nvidia-driver fournit libgl.
Or libgl est une dépendance de mesa.

Donc sur ton système, libgl est fournit par nvidia-driver mais chez d'autres il sera fournit par libgl-dri, ou nvidia-utils ou ati-fglrx-utils
Uraeus
Daikyu
Messages : 56
Inscription : dim. 17 sept. 2006, 14:50

Message par Uraeus »

Comment pacman détermine-t'il quel paquet prendre pour avoir libgl? Est-ce qu'il cherche libgl dans les dépôts dans l'ordre du pacman .conf? Ce qui expliquerait qu'il me parle de nvidia-driver au lieu de libgl-dri qui me semble plus adapté dans mon cas.
Il faudrait voir ce que ça donne si j'installe libgl-dri puis que je tente d'installer mesa pour voir s'il me demande encore nvidia-driver.
Je testerai quand j'aurai un peu de temps.
Il a 10 types de personnes dans le monde. Celles qui comprennent l'arithmétique binaire et les autres.
Uraeus
Daikyu
Messages : 56
Inscription : dim. 17 sept. 2006, 14:50

Message par Uraeus »

Avec libgl-dri installé à la main puis pacman -S mesa, nvidia-driver n'apparait pas dans les dépendances exigées.
Ça au moins c'est normal
Il a 10 types de personnes dans le monde. Celles qui comprennent l'arithmétique binaire et les autres.
Répondre